# This file is a template, and might need editing before it works on your project.
# Official docker image.
image: docker:latest

services:
  - docker:dind

before_script:
  - docker login -u "$CI_REGISTRY_USER" -p "$CI_REGISTRY_PASSWORD" $CI_REGISTRY
  - docker login -u "$CI_DOCKERHUB_USER" -p "$( echo $CI_DOCKERHUB_PASSWORD | base64 -d - )"

build-master:
  stage: build
  script:
    - docker build --pull -t "$CI_PROJECT_NAME" .
    - docker tag "$CI_PROJECT_NAME" "$CI_REGISTRY_IMAGE"
    - docker tag "$CI_PROJECT_NAME" "${CI_DOCKERHUB_NAMESPACE}/${CI_PROJECT_NAME}"
    - docker push "${CI_REGISTRY_IMAGE}:latest"
    - docker push "${CI_DOCKERHUB_NAMESPACE}/${CI_PROJECT_NAME}"
  only:
    - master

build:
  stage: build
  script:
    - docker build --pull -t "$CI_PROJECT_NAME:$CI_COMMIT_REF_SLUG" .
    - docker tag "${CI_PROJECT_NAME}:${CI_COMMIT_REF_SLUG}" "$CI_REGISTRY_IMAGE"
    - docker push "$CI_REGISTRY_IMAGE:$CI_COMMIT_REF_SLUG"
  except:
    - master